Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1381869 (CVE-2016-7946) - CVE-2016-7946 libXi: Insufficient validation of server responses result in various data mishandlings
Summary: CVE-2016-7946 libXi: Insufficient validation of server responses result in va...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-7946
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1381870 1401672
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-05 08:51 UTC by Andrej Nemec
Modified: 2023-03-24 13:43 UTC (History)
4 users (show)

Fixed In Version: libXi 1.7.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:30 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-05 08:51:45 UTC
It was found that when receiving a response from the server protocol data is not validated sufficiently. This results in various data mishandlings.

Upstream patch:

https://cgit.freedesktop.org/xorg/lib/libXi/commit/?id=19a9cd607de73947fcfb104682f203ffe4e1f4e5

External References:

https://lists.x.org/archives/xorg-announce/2016-October/002720.html

CVE assignment:

http://seclists.org/oss-sec/2016/q4/17

Comment 1 Andrej Nemec 2016-10-05 08:52:39 UTC
Created libXi tracking bugs for this issue:

Affects: fedora-all [bug 1381870]

Comment 2 Peter Hutterer 2017-07-13 07:29:22 UTC
This was fixed as part of bug 1401672


Note You need to log in before you can comment on or make changes to this bug.